Uses of Class
org.alfresco.rest.api.model.Category
Packages that use Category
Package
Description
-
Uses of Category in org.alfresco.rest.api
Methods in org.alfresco.rest.api that return CategoryModifier and TypeMethodDescriptionCategories.getCategoryById(String id, Parameters parameters) Categories.updateCategoryById(String id, Category fixedCategoryModel) Update category by ID.Methods in org.alfresco.rest.api that return types with arguments of type CategoryModifier and TypeMethodDescriptionCategories.createSubcategories(String parentCategoryId, List<Category> categories, Parameters parameters) Categories.getCategoryChildren(String parentCategoryId, Parameters parameters) Categories.linkNodeToCategories(String nodeId, List<Category> categoryLinks) Link node to categories.Categories.listCategoriesForNode(String nodeId) Get categories linked from node.Methods in org.alfresco.rest.api with parameters of type CategoryModifier and TypeMethodDescriptionCategories.updateCategoryById(String id, Category fixedCategoryModel) Update category by ID.Method parameters in org.alfresco.rest.api with type arguments of type CategoryModifier and TypeMethodDescriptionCategories.createSubcategories(String parentCategoryId, List<Category> categories, Parameters parameters) Categories.linkNodeToCategories(String nodeId, List<Category> categoryLinks) Link node to categories. -
Uses of Category in org.alfresco.rest.api.categories
Methods in org.alfresco.rest.api.categories that return CategoryModifier and TypeMethodDescriptionCategoriesEntityResource.readById(String id, Parameters parameters) GET /categories/{categoryId}CategoriesEntityResource.update(String id, Category categoryModel, Parameters parameters) PUT /categories/{categoryId}Methods in org.alfresco.rest.api.categories that return types with arguments of type CategoryModifier and TypeMethodDescriptionNodesCategoryLinksRelation.create(String nodeId, List<Category> categoryLinks, Parameters parameters) POST /nodes/{nodeId}/category-linksSubcategoriesRelation.create(String parentCategoryId, List<Category> categoryList, Parameters parameters) POST /categories/{categoryId}/subcategoriesNodesCategoryLinksRelation.readAll(String nodeId, Parameters parameters) GET /nodes/{nodeId}/category-linksSubcategoriesRelation.readAll(String parentCategoryId, Parameters params) GET /categories/{categoryId}/subcategoriesMethods in org.alfresco.rest.api.categories with parameters of type CategoryModifier and TypeMethodDescriptionCategoriesEntityResource.update(String id, Category categoryModel, Parameters parameters) PUT /categories/{categoryId}Method parameters in org.alfresco.rest.api.categories with type arguments of type CategoryModifier and TypeMethodDescriptionNodesCategoryLinksRelation.create(String nodeId, List<Category> categoryLinks, Parameters parameters) POST /nodes/{nodeId}/category-linksSubcategoriesRelation.create(String parentCategoryId, List<Category> categoryList, Parameters parameters) POST /categories/{categoryId}/subcategories -
Uses of Category in org.alfresco.rest.api.impl
Methods in org.alfresco.rest.api.impl that return CategoryModifier and TypeMethodDescriptionCategoriesImpl.getCategoryById(String id, Parameters params) CategoriesImpl.updateCategoryById(String id, Category fixedCategoryModel) Methods in org.alfresco.rest.api.impl that return types with arguments of type CategoryModifier and TypeMethodDescriptionCategoriesImpl.createSubcategories(String parentCategoryId, List<Category> categories, Parameters parameters) CategoriesImpl.getCategoryChildren(String parentCategoryId, Parameters params) CategoriesImpl.linkNodeToCategories(String nodeId, List<Category> categoryLinks) CategoriesImpl.listCategoriesForNode(String nodeId) Methods in org.alfresco.rest.api.impl with parameters of type CategoryModifier and TypeMethodDescriptionCategoriesImpl.updateCategoryById(String id, Category fixedCategoryModel) Method parameters in org.alfresco.rest.api.impl with type arguments of type CategoryModifier and TypeMethodDescriptionCategoriesImpl.createSubcategories(String parentCategoryId, List<Category> categories, Parameters parameters) CategoriesImpl.linkNodeToCategories(String nodeId, List<Category> categoryLinks) -
Uses of Category in org.alfresco.rest.api.model
Methods in org.alfresco.rest.api.model that return Category